See also: A main-thread variant of this page.
Initializing app...
On a slow internet connection this may take a moment. If this message displays for "a long time", intialization may have failed and the JavaScript console may contain clues as to why.
Downloading...
Options
The following flags can be passed as URL parameters: vfs=NAME, size=N, journal=MODE, cachesize=SIZE
→ speedtest1 → speedtest1-wasmfs → speedtest1-kvvfs
Reverse log order
Tips:

- Control-click the flags to (de)select multiple flags.
- The `--big-transactions` flag is important for two of the bigger tests. Without it, those tests create many thousands of implicit transactions, reducing the affected tests to an absolute crawl, in particular with OPFS.
- The easiest way to try different optimization levels is, from this directory:

      $ rm -f jswasm/speedtest1.js; make -e emcc_opt='-O2' speedtest1

  Then reload this page. -O2 seems to consistently produce the fastest results.